#include <ESP8266WiFi.h>
#include <ESP8266WiFiAP.h>
#include <ESP8266WiFiGeneric.h>
#include <ESP8266WiFiMulti.h>
#include <ESP8266WiFiScan.h>
#include <ESP8266WiFiSTA.h>
#include <ESP8266WiFiType.h>
#include <WiFiClient.h>
#include <WiFiClientSecure.h>
#include <WiFiServer.h>
#include <WiFiServerSecure.h>
#include <WiFiUdp.h>

const char *_ssid = "...";
const char *_password = "..."; 
int _buildLedPin = 2;

void setup()
{
  Serial.begin(115200);
  delay(10);

  Serial.printf("%d: Connecting to %d\n", millis(), _ssid);
  WiFi.begin(_ssid, _password);

  while (WiFi.status() != WL_CONNECTED)
  {
    delay(1000);
    Serial.print(".");
  }

  Serial.printf("\n%d: WiFi connected: %s\n", millis(), WiFi.localIP().toString().c_str());
  pinMode(_buildLedPin, OUTPUT);
}

void loop()
{
  WiFiClient client;
  String host = "www.nvaer.com";

  bool connected = client.connect(host, 80);

  Serial.printf("%d: Connected - %d\n", millis(), connected);

  do
  {
    if (connected == false)
    {
      break;
    }

    client.print(String("GET /") + " HTTP/1.1\r\n" + 
            "Host: " + host + "\r\n" +
            "Connection: close\r\n" + "\r\n");

    int readBytes = 0;
    while (client.connected() == 1)
    {
      if (client.available())
      {
        String line = client.readStringUntil('\n');
        readBytes += line.length();
      }
    }

    Serial.printf("%d: # of recv bytes: %d\n", millis(), readBytes);

    Blink(2000);
  } while (false);

  client.stop();
}

void Blink(int ledOnTime)
{
  digitalWrite(_buildLedPin, LOW);
  delay(ledOnTime);
  digitalWrite(_buildLedPin, HIGH);
}
